//
//  UIViewController+LQNavigationController.swift
//  JDemo
//
//  Created by chongzu20 on 2018/6/6.
//  Copyright © 2018年 chongzu20. All rights reserved.
//

import Foundation

import UIKit

extension UIViewController{
    

    func creatNavBarView()-> UINavigationBar{
        
        let navBar = LQNavigationBar.init()
        let size = UIApplication.shared.statusBarFrame.size

        navBar.frame = CGRect.init(x: 0, y: size.height, width: size.width, height: 44)
        self.view.clipsToBounds = true
        self.view.addSubview(navBar)
        
        navBar.barTintColor = UIColor(red: 66/256.0, green: 176/256.0, blue: 216/256.0, alpha: 1)
        navBar.isTranslucent = false
        navBar.tintColor = UIColor.white
    navBar.titleTextAttributes =
            [NSAttributedStringKey.foregroundColor: UIColor.white]
        
        return navBar;
    }
    
}



