//
//  CenterViewController.swift
//  JDemo
//
//  Created by chongzu20 on 2018/6/6.
//  Copyright © 2018年 chongzu20. All rights reserved.
//

import UIKit


let Open = ContainerVC()
class CenterViewController: UIViewController,UIGestureRecognizerDelegate,UITableViewDelegate,UITableViewDataSource {
   
    var tabview = UITableView()
    var navBar = UINavigationBar()
    override func viewDidLoad() {
        super.viewDidLoad()
      
    
        self.view.backgroundColor = UIColor.white
       
        navBar = creatNavBarView()
        navBar.barTintColor = UIColor.purple
        //设置navBar上按钮
        navBar.pushItem(onMakeNavitem(), animated: false)
        //启用滑动返回（swipe back）
        self.navigationController?.interactivePopGestureRecognizer!.delegate = self
    
      self.tabview = UITableView.init(frame: CGRect.init(x: 0, y: 64, width: self.view.frame.size.width, height: self.view.frame.size.height))
        self.tabview.dataSource = self;
        self.tabview.delegate = self;
        self.view.addSubview(self.tabview)
    }
    
    //item设置
    func onMakeNavitem() -> UINavigationItem {
        let navigationItem = UINavigationItem()
        let rightBtn = UIBarButtonItem(title: "psuh", style: UIBarButtonItemStyle.plain, target: self, action: #selector(lll))
        let leftBtn = UIBarButtonItem(title: "Left", style: UIBarButtonItemStyle.plain, target: self, action: #selector(open))
        // 设置导航栏标题
        navigationItem.title = "编辑"
        // left按钮
        navigationItem.setLeftBarButton(leftBtn, animated: true)
        // right按钮
        navigationItem.setRightBarButton(rightBtn, animated: true)
        return navigationItem
    }
    
    @objc func open()  {
        
         Open.OpenLeft()
    }
    
    @objc func lll() {
        
        self.navigationController?.pushViewController(ViewController.init(), animated: true)
    }
    
    //是否允许手势
    func gestureRecognizerShouldBegin(_ gestureRecognizer: UIGestureRecognizer) -> Bool {
        if (gestureRecognizer == self.navigationController?.interactivePopGestureRecognizer) {
            //只有二级以及以下的页面允许手势返回
            return self.navigationController!.viewControllers.count > 1
        }
        return true
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        
        return 50;
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        var cell = self.tabview.dequeueReusableCell(withIdentifier: "cell")
        
        if (cell == nil) {
            
            cell = UITableViewCell.init(style: UITableViewCellStyle.default, reuseIdentifier: "cell")
        }
        return cell!
    }
    
    func scrollViewDidScroll(_ scrollView: UIScrollView) {
        
        
        navBar.alpha = 64/scrollView.contentOffset.y
    }
    
}
